Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 4766 - New vixie-cron security package uses a 6.0 only logrotate feature
Summary: New vixie-cron security package uses a 6.0 only logrotate feature
Keywords:
Status: CLOSED NOTABUG
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: vixie-cron
Version: 5.2
Hardware: All
OS: Linux
low
low
Target Milestone: ---
Assignee: Crutcher Dunnavant
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 1999-08-28 21:55 UTC by Chris Siebenmann
Modified: 2008-05-01 15:37 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2001-04-10 22:05:21 UTC


Attachments (Terms of Use)

Description Chris Siebenmann 1999-08-28 21:55:04 UTC
The new version of vixie-cron released for RedHat 5.2 to
fix a security problem (vixie-cron-3.0.1-36.5.2) uses a
feature of logrotate (the 'missingok' keyword) that is not
available in the version of the logrotate package released
for RedHat 5.2; 'missingok' is only supported in the
logrotate on 6.0+.

 The result is an email a night from every system with
the vixie cron update applied. In some environments, this
is a lot of mail. (It may also result in the cron log not
being rolled; I expect to find out soon.)

Comment 1 Chris Siebenmann 1999-08-28 22:00:59 UTC
On checking, I've discovered that this is already a known and fixed
bug in the cron package. My apologies for not checking thoroughly
enough *before* I filed this report; it can be discarded as fixed
already (or a duplicate).


Note You need to log in before you can comment on or make changes to this bug.